Subject: LRO: Body "Rubbers"

From: "James G.Wolf" <[email-masked]>
Date: Sat, 12 May 2001 12:02:35 -0400

I have been redoing the rear tub on the 109 SW and the rubber bits between
the supports and the frame are toast (crumbly and hard). What
has anyone used to replace them with? Are they still avalible? Would our
local auto parts store have a suitable replacement material?

While I am asking are the push and turn window locks still avalible?
Couldn't find either of these in the RN or BP catalogues.

Thanks
Jim Wolf